Subject: Visit INS after receiving approval notice

From: Luqi Pei <[email-masked]>
Date: Mon, 27 Sep 93 10:07:28 CDT

Dear Netters,

     Here is a littlie information on what you do after you
receive your approve notice.

     You don't heve to wait for 14 days to go local INS for your
finger prints.  You can visit your local INS office as soon as
you get your approval notice.  I find this out by chance.  

     I received my approval notice on 9-24-93 (approval date 9-
20-94). I took it to San Antonio INS along with my documents. 
Basically I tried to turn in the copy of my approval notice to
them to complete my son's application.  My wife did not go with
me (she received her approvel early, but not enough for 14 days). 
The INS officer asked me to do my finger prints to finish I-89
(?) form.  I raised questions about it because I thought I could
not meet their time requirement.  Her answer was that it was
perfectly OK to do it now.  She took back that I-797 form and
handed me a receipt.  She told me that I should take my wife with
me so she could do her finger print too.

     Since you have to visit INS anyway.  Why not go your INS
office and hand them your approval notice.  That may same time
and avoid unnecessary guesses.

     Be prepared to carry all document with you when you visit
INS office.  Bring 2 photoes if you already have them with you.
That may save you trouble and seveal bucks.

Luqi Pei